跳转到主要内容
POST
/
payment
/
open
/
institution
/
v1
/
pay
/
order
/
query
订单状态查询
curl --request POST \
  --url https://openplatform.gateapi.io/payment/open/institution/v1/pay/order/query \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "merchantTradeNo": "56236"
}
'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "prepayId": "50620368071692288",
    "merchantId": 10002,
    "merchantTradeNo": "4379824792349592345",
    "transactionId": "",
    "goodsName": "NFT",
    "currency": "GT",
    "orderAmount": "0.1",
    "status": "EXPIRED",
    "createTime": 1674030436229,
    "expireTime": 1663054706000,
    "transactTime": 0,
    "order_name": "MiniApp-Payment#4379824792349592345",
    "pay_currency": "",
    "pay_amount": "0",
    "rate": "0",
    "channel_type": "",
    "inUsdt": "",
    "appLogo": "https://gimg2.gateimg.com/image/432c2715a0eaa6217af7a3db1e85ffc8dc866233.webp",
    "appName": "Latiago",
    "channelId": "123456",
    "totalFeeAmount": "0",
    "totalSettleAmount": "",
    "payDetails": []
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 POST /payment/open/institution/v1/pay/order/query 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 本页展示同一接口的机构路径版本。
  • 除创建子账户、查询子账户详情、分页查询子账户外,机构侧请求需携带 X-GatePay-On-Behalf-Of
  • 本接口返回订单查询结果本体,不使用通知回调中的 bizType / bizStatus 外层结构。
  • 对中心化支付订单,请结合 orderAmountpay_amount 理解支付金额字段含义。
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

请求头

X-GatePay-Certificate-ClientId
string
必填

商户客户端ID,在 GatePay 平台申请获得

示例:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
必填

HMAC-SHA256签名,用于验证请求合法性

示例:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
必填

时间戳(毫秒),与服务器时间差不能超过5分钟

示例:

"1672905655498"

X-GatePay-Nonce
string
必填

随机数,用于防止重放攻击

示例:

"3525756760"

X-GatePay-On-Behalf-Of
string
必填

必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。

请求体

application/json

订单查询请求,prepayIdmerchantTradeNo 至少传一个。

prepayId
string

预付单 ID。

merchantTradeNo
string

商户订单号。

响应

200 - application/json

订单详情

订单查询响应。

status
string
必填

SUCCESS 或者 FAIL

code
string
必填

出错代码

data
object

支付订单信息

errorMessage
string

错误信息